Skip to main content
GET
/
activity-logs
List all Activity Logs
curl --request GET \
  --url https://eu.sequencehq.com/api/activity-logs \
  --header 'Authorization: <authorization>'
{
  "items": [
    {
      "id": "aa0e8400-e29b-41d4-a716-446655440005",
      "sequenceAccountId": "bb0e8400-e29b-41d4-a716-446655440006",
      "activityType": "NOTIFICATION",
      "apiVersion": "V1",
      "origin": "API",
      "traceId": "f26ad30d3be41b2f64fa7dbfb22ba5fd",
      "createdAt": "2024-01-01T10:00:00Z",
      "activityLogItems": [
        {
          "id": "880e8400-e29b-41d4-a716-446655440003",
          "activityLogId": "990e8400-e29b-41d4-a716-446655440004",
          "verb": "CREATED",
          "name": "Invoice Created",
          "summary": "A new invoice was created for customer",
          "reason": "New billing cycle started",
          "metadata": [],
          "activityLogActor": {
            "id": "550e8400-e29b-41d4-a716-446655440000",
            "entityType": "USER",
            "entityId": "550e8400-e29b-41d4-a716-446655440123",
            "email": "john.doe@sequencehq.com"
          },
          "activityLogObject": {
            "id": "660e8400-e29b-41d4-a716-446655440001",
            "entityType": "INVOICE",
            "entityId": "550e8400-e29b-41d4-a716-446655440456"
          },
          "activityLogTarget": {
            "id": "770e8400-e29b-41d4-a716-446655440002",
            "entityType": "SEQUENCE_USER",
            "entityId": "550e8400-e29b-41d4-a716-446655440789"
          }
        }
      ]
    }
  ],
  "pagination": {
    "after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
    "before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
    "totalResultSize": 10
  }
}

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Query Parameters

before
string

Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.

after
string

Pagination cursor. To page through items, omit this parameter to retrieve the first page, and then successively use the value you get from pagination.after or pagination.before to retrieve each page.

limit
integer

Maximum number of objects to return per-page. Must be between 1 and 100 (inclusive).

sortOrder
string

Sort order. Default: DESC (descending, most often used for reverse chronological sorting).

activityLogObjectId
string

Filter by activity log object ID

activityLogObjectEntityId
string

Filter by activity log object entity ID

Response

OK

items
object[]
required
Example:
[
{
"id": "aa0e8400-e29b-41d4-a716-446655440005",
"sequenceAccountId": "bb0e8400-e29b-41d4-a716-446655440006",
"activityType": "NOTIFICATION",
"apiVersion": "V1",
"origin": "API",
"traceId": "f26ad30d3be41b2f64fa7dbfb22ba5fd",
"createdAt": "2024-01-01T10:00:00Z",
"activityLogItems": [
{
"id": "880e8400-e29b-41d4-a716-446655440003",
"activityLogId": "990e8400-e29b-41d4-a716-446655440004",
"verb": "CREATED",
"name": "Invoice Created",
"summary": "A new invoice was created for customer",
"reason": "New billing cycle started",
"metadata": [],
"activityLogActor": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"entityType": "USER",
"entityId": "550e8400-e29b-41d4-a716-446655440123",
"email": "john.doe@sequencehq.com"
},
"activityLogObject": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"entityType": "INVOICE",
"entityId": "550e8400-e29b-41d4-a716-446655440456"
},
"activityLogTarget": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"entityType": "SEQUENCE_USER",
"entityId": "550e8400-e29b-41d4-a716-446655440789"
}
}
]
}
]
pagination
object
required
Example:
{
"after": "MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3",
"before": "MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz",
"totalResultSize": 10
}